Bytedance Seed V2 Mini
集成
模型 id
bytedance/seed/v2/mini
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seed/v2/mini?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seed/v2/mini?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seed/v2/mini", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bytedance/seed/v2/mini",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
}
通过 Doitong API 调用 Bytedance Seed V2 Mini 模型(bytedance/seed/v2/mini)。智能体文档:https://doitong.com/zh/developers/models/bytedance/seed/v2/mini.md
POST https://api.doitong.com/v1/run/bytedance/seed/v2/mini?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
如果响应状态为 "queued" 或 "running",请轮询 GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20,直到状态变为 "succeeded";文件位于 outputs[].url。使用相同请求体 POST https://api.doitong.com/v1/quote/bytedance/seed/v2/mini,可在运行前返回确切价格。
每次运行最高 $0.213 按实际用量计费,剩余部分退款 在此页面运行
你的新 API 密钥。 它仅在此时显示,并且已填入下方的代码和 API 密钥字段中。请妥善保密:切勿将其放入在浏览器中运行的代码。
构建请求
控件根据模型架构生成。更改控件时,代码和价格会同步更新。
POST
/run/bytedance/seed/v2/mini?wait=20
报价 → $0.213
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seed/v2/mini?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seed/v2/mini?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seed/v2/mini", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bytedance/seed/v2/mini",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"wait_seconds": 20
}
}
}
关于 Bytedance Seed V2 Mini
语言模型可回答文本 `prompt`,还可分析最多 6 张图像(`image_urls`)和最多 3 个视频(`video_urls`),但不理解音频。`thinking` 可设为启用、禁用或 auto,`reasoning_effort` 范围为 minimal 到 high。通过 `max_completion_tokens`,输出长度最高可达 65536 个 token。支持 `system_prompt` 和用于多轮对话的历史 `messages`。
参数
发送规范名称或原生名称之一,不要同时发送两者。 规范名称
名称类型
默认值允许值
描述
prompt必填
类型string
包含发送给模型的提示词或问题的文本。
image_urls可选
images
类型url[] · image
通过指向 JPEG、PNG、WebP 文件的 URL 提供用于视觉理解的图像。最多处理 6 个图像;超出部分会被忽略。
video_urls可选
videos
类型url[] · video
提供 MP4 或 MOV 视频 URL 以理解其视觉内容,不处理音频。最多处理 3 个视频;超出部分会被忽略。
system_prompt可选
类型string | null
可选的系统级提示词,用于指导模型行为。
messages可选
类型object[]
可选的多轮上下文,可复用之前响应中的 `messages` 值。无论历史记录如何,都会追加一个新的最新用户轮次,其中包含当前的 `prompt`、`image_urls`、`video_urls` 和 `system_prompt`。
messages[].role必填
类型enum
systemuserassistant
分配给消息作者的角色。
messages[].content必填
类型string | array of object
消息内容支持两种表示形式:多模态内容(如图像)使用部分列表,纯文本消息使用字符串。
thinking可选
类型enum
默认值enabled
enableddisabledauto
思维链推理模式:`enabled` 每次都包含推理,`disabled` 完全排除推理,`auto` 允许模型根据查询自行选择。
reasoning_effort可选
类型enum
minimallowmediumhigh
选择模型回复前的推理深度:`high` 深入分析复杂问题,`medium` 平衡深度与速度,`low` 使用轻量推理以更快回复,`minimal` 立即回复。此设置仅在 `thinking` 值为 `enabled` 或 `auto` 时生效。
max_completion_tokens可选
类型integer
默认值4096
1 – 65,536
生成输出允许使用的最大 token 数。响应 token 和思维链 token 都计入此共享上限。
temperature可选
类型number
默认值1
0 – 2
响应随机性设置:值越高,生成越偏向创意;值越低,输出越集中且确定。
top_p可选
类型number
默认值0.7
0 – 1
核采样控制项 `top_p`:值越低,token 选择限制越严格。模型候选 token 的累计概率质量覆盖 `top_p`。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填
规范名称,也可接受
文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件
输出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bytedance/seed/v2/mini",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 213,
"usd": "0.213",
"charged": 213,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
},
"output": {
"output": "string",
"reasoning_content": "string",
"messages": [
{
"role": "system",
"content": "string"
}
]
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
- output
- string模型返回的文本。
- reasoning_content
- string | null当 `thinking` 设置为 `enabled` 或 `auto` 时,此输出可能包含模型的思维链推理;其他设置下不会包含。
- messages
- array of object {role, content}供下一次 `messages` 输入复用的对话上下文:返回的历史记录包含每一轮,包括模型最新的回复。
更多模型:LLM
对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bytedance/seed/v2/mini.md. 所有模型和指南: https://doitong.com/developers/llms.txt